eoIBEAStochSorting(3)

NAME
eoIBEAStochSorting - Functor The sorting phase of IBEA (Indicator-Based Evolutionary Algorithm) under uncertainty Adapted from the Basseur and Zitzler paper 'Handling Uncertainty in Indicator-Based Multiobjective Optimization' (2006) Of course, the fitness of an individual needs to be an eoStochasticParetoFitness object.

SYNOPSIS

#include <eoIBEA.h>

Inherits eoIBEA< EOT, FitnessEval >.

  Public Member Functions
eoIBEAStochSorting (eoBinaryQualityIndicator< FitnessEval > *_I)
constructor

  Private Member Functions
void setBounds (const eoPop< EOT > &_pop)
computation and setting of the bounds for each objective
void fitnesses (const eoPop< EOT > &_pop)
computation and setting of the fitness for each individual of the population

  Static Private Member Functions
static double zero ()
approximated zero value

Detailed Description

  template<class EOT, class FitnessEval = typename EOT::Fitness::FitnessEval> class eoIBEAStochSorting< EOT, FitnessEval >
Functor The sorting phase of IBEA (Indicator-Based Evolutionary Algorithm) under uncertainty Adapted from the Basseur and Zitzler paper 'Handling Uncertainty in Indicator-Based Multiobjective Optimization' (2006) Of course, the fitness of an individual needs to be an eoStochasticParetoFitness object.

Definition at line 215 of file eoIBEA.h.

Constructor & Destructor Documentation

  template<class EOT, class FitnessEval = typename EOT::Fitness::FitnessEval> eoIBEAStochSorting< EOT, FitnessEval >::eoIBEAStochSorting (eoBinaryQualityIndicator< FitnessEval > * _I) [inline]

constructor

Parameters:
    eoBinaryQualityIndicator<EOT>* _I the binary quality indicator to use in the selection process

Definition at line 226 of file eoIBEA.h.

Member Function Documentation

  template<class EOT, class FitnessEval = typename EOT::Fitness::FitnessEval> void eoIBEAStochSorting< EOT, FitnessEval >::setBounds (const eoPop< EOT > & _pop) [inline, private, virtual]

computation and setting of the bounds for each objective

Parameters:
    const eoPop<EOT>& _pop the population

Implements eoIBEA< EOT, FitnessEval >.

Definition at line 258 of file eoIBEA.h.

  template<class EOT, class FitnessEval = typename EOT::Fitness::FitnessEval> void eoIBEAStochSorting< EOT, FitnessEval >::fitnesses (const eoPop< EOT > & _pop) [inline, private, virtual]

computation and setting of the fitness for each individual of the population

Parameters:
    const eoPop<EOT>& _pop the population

Implements eoIBEA< EOT, FitnessEval >.

Definition at line 286 of file eoIBEA.h.

Author

Generated automatically by Doxygen for ParadisEO-MOEO from the source code.